### Method

# GimpUi ProcedureDialog fill_scrolled_window

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_fill_scrolled_window (
      GimpProcedureDialog* dialog,
      const gchar* container_id,
      const gchar* contents_id
    )

#### Description [src]

Creates and populates a new `GtkScrolledWindow` with a widget corresponding to the declared content id.

The `container_id` must be a unique ID which is neither the name of a property of the `GimpProcedureConfig` associated to `dialog`, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside `dialog` itself.

#### Parameters

`container_id`

  Type: `const gchar*`

  A container identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`contents_id`

  Type: `const gchar*`

  The identifier for the contents.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The `GtkScrolledWindow` representing `contents_id`. The object belongs to `dialog` and must not be freed.

The returned data is owned by the instance.